# MrzScanningMode enum

The scanning mode.

Inheritance
  - Object
  - Enum
  - MrzScanningMode
Available extensions
  - EnumName

## Values

LIVE → const MrzScanningMode

  The scanner will merge all information from multiple frames to provide the best possible result. Use this mode when the input is a video or camera stream.

SINGLE_SHOT → const MrzScanningMode

  The scanner will only use the current frame and will spend additional time to ensure the best possible result. Use this mode when scanning single images, e.g. imported from the gallery.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MrzScanningMode>
  A constant List of the values in this enum, in order of their declaration.